Namespace
library
Image / Tag
consul:1.10.0-beta4
Content Digest
sha256:daabdb11ec1a07d5cade14700a7293d2859609fe5ada9eb105e25e916a4dfa23
Details
Created

2021-06-10 17:39:46 UTC

Size

41 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.10.0-beta4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:31b7e7ccca9e17fd08b39c9a4ffd3ded380b62816c489d6c3758c9bb5a632430 - 6.56% (2.69 MB)

[#001] sha256:77c6930237fe0c8fea571fef987fb29d9af4eba8e89e51afb8693f52f33899d5 - 0.0% (1.23 KB)

[#002] sha256:6877008275fed8f5e13f47d006b09cd6b3d7619b0a49932e30f2f37444d7f4fd - 93.43% (38.3 MB)

[#003] sha256:8d12d0c4e2bb2025dc5ded9d308360590b689724f42507227c38406e60757766 - 0.0% (174 Bytes)

[#004] sha256:57e4cf72f4e3d62b55f5c424d1f21816eb5be81b9c2ec2c8e3770dc487676cee - 0.0% (153 Bytes)

[#005] sha256:cc6b3df55eb565a9ade2e9a9f6c595686ee81a1e2d9fbd23c4122025afff6853 - 0.0% (1.67 KB)


History
2021-04-14 18:38:29 UTC

/bin/sh -c #(nop) ADD file:36634145ad6ec95a6b1a4f8d875f48719357c7a90f9b4906f8ce74f71b28c19d in /

2021-04-14 18:38:29 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-06-10 17:39:34 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-06-10 17:39:34 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.0-beta4

2021-06-10 17:39:34 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.10.0-beta4

2021-06-10 17:39:35 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-06-10 17:39:35 UTC

|1 CONSUL_VERSION=1.10.0-beta4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-06-10 17:39:42 UTC

|1 CONSUL_VERSION=1.10.0-beta4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-06-10 17:39:43 UTC

|1 CONSUL_VERSION=1.10.0-beta4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-06-10 17:39:44 UTC

|1 CONSUL_VERSION=1.10.0-beta4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-06-10 17:39:44 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-06-10 17:39:45 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-06-10 17:39:45 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-06-10 17:39:45 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-06-10 17:39:45 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-06-10 17:39:45 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-06-10 17:39:46 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-06-10 18:19:40 UTC

Size

41.6 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.10.0-beta4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:540db60ca9383eac9e418f78490994d0af424aab7bf6d0e47ac8ed4e2e9bcbba - 6.45% (2.68 MB)

[#001] sha256:10702266d38dc67c665be845ec1a25804973fee188dcf4d73471112360453c71 - 0.0% (1.23 KB)

[#002] sha256:02c2906d900e6a9bb894e6df8861caa928bb150e3dc5ba3a5f9e25814ff2628c - 93.54% (38.9 MB)

[#003] sha256:730bacbfa2967a7f9978120e922ff5ef7164eda58eda6d7f068eab3f8db28c54 - 0.0% (174 Bytes)

[#004] sha256:70a5574a17158a1eb4677134dd9afadc9941f7622479cf5b371f4123a267d289 - 0.0% (154 Bytes)

[#005] sha256:4512d76b24eac44f8281715c3dcf9f5b45bce4673170ffc7bcc0edfbb4d77831 - 0.0% (1.67 KB)


History
2021-04-14 19:19:39 UTC

/bin/sh -c #(nop) ADD file:8ec69d882e7f29f0652d537557160e638168550f738d0d49f90a7ef96bf31787 in /

2021-04-14 19:19:39 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-06-10 18:19:29 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-06-10 18:19:29 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.0-beta4

2021-06-10 18:19:29 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.10.0-beta4

2021-06-10 18:19:29 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-06-10 18:19:31 UTC

|1 CONSUL_VERSION=1.10.0-beta4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-06-10 18:19:37 UTC

|1 CONSUL_VERSION=1.10.0-beta4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-06-10 18:19:38 UTC

|1 CONSUL_VERSION=1.10.0-beta4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-06-10 18:19:39 UTC

|1 CONSUL_VERSION=1.10.0-beta4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-06-10 18:19:39 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-06-10 18:19:39 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-06-10 18:19:39 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-06-10 18:19:40 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-06-10 18:19:40 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-06-10 18:19:40 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-06-10 18:19:40 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-06-16 10:07:23 UTC

Size

37.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.10.0-beta4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:740c950346cf39c85b52576998695c9b909c24a58a8bb1b64cce91fda3ef1d3a - 6.62% (2.5 MB)

[#001] sha256:a0e7f6a6a6547be2ed8177bb7989d8f390e113460e34806d00a23d15fb5b75d6 - 0.0% (1.23 KB)

[#002] sha256:22c5a70358b1034d0e5f8a3ea4b37b18befe2079c31d6eca07d71947e7842aa9 - 93.38% (35.3 MB)

[#003] sha256:0c95a878968456fc55daa96e84c38468aa65340d12ad68151b11c84e7c50efcb - 0.0% (174 Bytes)

[#004] sha256:8d7220f62c5f170f9ed2fcfd4dc34470b3dfd9ab38baebf29df070aaa0b20559 - 0.0% (154 Bytes)

[#005] sha256:daf6354083b91732a1274321ca7d34cb5d98b5dd2f7cd3547f907247ef84de71 - 0.0% (1.67 KB)


History
2021-06-15 22:57:34 UTC

/bin/sh -c #(nop) ADD file:4479f0a51530e039edf231d87201896dcff908aa542a613cdccb015f93dda8a3 in /

2021-06-15 22:57:34 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-06-16 10:07:12 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-06-16 10:07:13 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.0-beta4

2021-06-16 10:07:13 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.10.0-beta4

2021-06-16 10:07:13 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-06-16 10:07:14 UTC

|1 CONSUL_VERSION=1.10.0-beta4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-06-16 10:07:20 UTC

|1 CONSUL_VERSION=1.10.0-beta4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-06-16 10:07:21 UTC

|1 CONSUL_VERSION=1.10.0-beta4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-06-16 10:07:22 UTC

|1 CONSUL_VERSION=1.10.0-beta4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-06-16 10:07:22 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-06-16 10:07:22 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-06-16 10:07:23 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-06-16 10:07:23 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-06-16 10:07:23 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-06-16 10:07:23 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-06-16 10:07:23 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-06-15 23:26:10 UTC

Size

37.7 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.10.0-beta4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:595b0fe564bb9444ebfe78288079a01ee6d7f666544028d5e96ba610f909ee43 - 6.86% (2.59 MB)

[#001] sha256:131b467b0071f9b0f92edeaef8fe921486a4880da3017d5616f88a532530eb14 - 0.0% (1.23 KB)

[#002] sha256:be0ed329cd76bd07713c1c2c5e5ffa0a584953c51a85636b9bdbc9f814de5543 - 93.14% (35.1 MB)

[#003] sha256:e0a55fad4cc751256504428c1e0e7b4bb3c0cedba69321538a6f3847b13faece - 0.0% (175 Bytes)

[#004] sha256:e0ebc6af839297a799449a5a07a404ea90f61861f555cba44a552b298e4cfb15 - 0.0% (154 Bytes)

[#005] sha256:b1599b1be787fa9434061ec7943d5194135f90c806c9a6a05aec59c546c92837 - 0.0% (1.67 KB)


History
2021-06-15 21:45:03 UTC

/bin/sh -c #(nop) ADD file:ca9d8b5d1cc2f2186983fc6b9507da6ada5eb92f2b518c06af1128d5396c6f34 in /

2021-06-15 21:45:04 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-06-15 23:25:54 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-06-15 23:25:54 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.0-beta4

2021-06-15 23:25:54 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.10.0-beta4

2021-06-15 23:25:55 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-06-15 23:25:55 UTC

|1 CONSUL_VERSION=1.10.0-beta4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-06-15 23:26:07 UTC

|1 CONSUL_VERSION=1.10.0-beta4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-06-15 23:26:08 UTC

|1 CONSUL_VERSION=1.10.0-beta4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-06-15 23:26:09 UTC

|1 CONSUL_VERSION=1.10.0-beta4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-06-15 23:26:09 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-06-15 23:26:09 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-06-15 23:26:09 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-06-15 23:26:10 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-06-15 23:26:10 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-06-15 23:26:10 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-06-15 23:26:10 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]